### Virtual Method

# Camel Folder get_message_info

#### Declaration [src]

    CamelMessageInfo*
    get_message_info (
      CamelFolder* folder,
      const gchar* uid
    )

#### Description [src]

Retrieve the `CamelMessageInfo` for the specified `uid`.

#### Parameters

`uid`

  Type: `const gchar*`

  The uid of a message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelMessageInfo`

The summary information for the indicated message, or `NULL` if the uid does not exist. Free the returned object with g_object_unref(), when done with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.